﻿using System.Collections.Generic;
using System.Linq;
using Pixiview.Utils;
using Xamarin.Forms;

namespace Pixiview.Illust
{
    public partial class RankingPage : IllustCollectionPage
    {
        public RankingPage()
        {
            Resources.Add("cardView", GetCardViewTemplate());
            InitializeComponent();

            StartLoad();
        }

        protected override IEnumerable<string> DoGetIllustList(IllustData data)
        {
            return data.body.page.ranking.items.Select(i => i.id);
        }

        protected override IllustData DoLoadIllustData(bool force)
        {
            var data = Stores.LoadIllustData(force);
            if (data != null)
            {
                var date = data.body.page.ranking.date;
                if (date.Length == 8)
                {
                    date = date.Substring(0, 4) + "-" + date.Substring(4, 2) + "-" + date.Substring(6, 2);
                }
                Device.BeginInvokeOnMainThread(() => Title = date);
            }
            return data;
        }
    }
}
